<?php
/**
 * Clase Base Bean para BaseArTipoproductoBN
 *
 * @package    Sedapal
 * @subpackage BaseArTipoproductoBN
 * @author     Willy
 * @version    SVN:: BaseArTipoproductoBN.class.php,v 1.1 2020-06-30 13:51:12 william.taype Exp $
 */
abstract class BaseArTipoproductoBN
{
  protected $Idtipoproducto;
  protected $Descripcion;
  protected $Estado;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Usuariomodificacion;
  protected $Fechamodificacion;
  protected $Mensaje;
  protected $Error;

  public function getIdtipoproducto(){
    return $this->Idtipoproducto;
  }
  public function setIdtipoproducto($v1){
    $this->Idtipoproducto = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_tipoproductoBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_tipoproductoRs )
  {
    $o_ArTipoproductoBN = new ArTipoproductoBN();
    $o_ArTipoproductoBN->setIdtipoproducto( $o_Ar_tipoproductoRs['idtipoproducto'] );
    $o_ArTipoproductoBN->setDescripcion( $o_Ar_tipoproductoRs['descripcion'] );
    $o_ArTipoproductoBN->setEstado( $o_Ar_tipoproductoRs['estado'] );
    $o_ArTipoproductoBN->setEliminado( $o_Ar_tipoproductoRs['eliminado'] );
    $o_ArTipoproductoBN->setFechaeliminado( $o_Ar_tipoproductoRs['fechaeliminado'] );
    $o_ArTipoproductoBN->setUsuarioeliminado( $o_Ar_tipoproductoRs['usuarioeliminado'] );
    $o_ArTipoproductoBN->setFecharegistro( $o_Ar_tipoproductoRs['fecharegistro'] );
    $o_ArTipoproductoBN->setUsuarioregistro( $o_Ar_tipoproductoRs['usuarioregistro'] );
    $o_ArTipoproductoBN->setUsuariomodificacion( $o_Ar_tipoproductoRs['usuariomodificacion'] );
    $o_ArTipoproductoBN->setFechamodificacion( $o_Ar_tipoproductoRs['fechamodificacion'] );
    return $o_ArTipoproductoBN;
  }
}